<?php

/* --------------------------------------------------------------
   ThemeInterface.php 2018-11-14
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2018 Gambio GmbH
   Released under the MIT License
   [https://opensource.org/licenses/MIT]
   --------------------------------------------------------------
*/

/**
 * Interface ThemeInterface
 */
interface ThemeInterface extends ThemeDirectoriesInterface
{
    /**
     * Return whether there is a parent theme
     *
     * @return bool
     */
    public function hasParent();


    /**
     * Convert to main theme
     *
     * @return \MainThemeInterface
     */
    public function toMainTheme();


    /**
     * Returns the theme id
     *
     * @return ThemeId
     */
    public function getId();


    /**
     * Return the parent theme
     *
     * @return ThemeInterface|null
     */
    public function getParentTheme();
}